import React from 'react';
import { PassConfig, RedeemAndRevealConfig, SimultaneousRevealConfig, UseCase } from '@inkerlabs/sdk';
import { Chain } from 'wagmi';
import { Web3AuthOptions } from '@web3auth/web3auth';
declare global {
    interface Window {
        chainConfig: Web3AuthOptions['chainConfig'];
    }
}
interface ProviderCommonProps {
    children?: React.ReactNode;
}
declare type ConfigProps = {
    useCase: UseCase.PASS;
    config: PassConfig;
} | {
    useCase: UseCase.RR;
    config: RedeemAndRevealConfig;
} | {
    useCase: UseCase.SR;
    config: SimultaneousRevealConfig;
};
declare type ProviderProps = ProviderCommonProps & ConfigProps;
export declare const availableChains: Chain[];
export default function Provider({ children, ...props }: ProviderProps): JSX.Element;
export {};
