import { ethers } from 'ethers';
import { useEffect, useState } from 'react';
import useSigner from './useSigner';
export default function useBalance() {
    var _a = useState(undefined), balance = _a[0], setBalance = _a[1];
    var signer = useSigner();
    useEffect(function () {
        if (signer) {
            signer.getBalance().then(function (balance) {
                // convert a currency unit from wei to ether
                var balanceInEth = ethers.utils.formatEther(balance);
                setBalance(balanceInEth);
            });
        }
        else {
            setBalance(undefined);
        }
    }, [signer]);
    return balance;
}
